#ifndef LEDCONTROL_H_
#define LEDCONTROL_H_

#include <avr/io.h>
#include <avr/wdt.h>
#include <avr/power.h>
#include <avr/interrupt.h>
#include <stdbool.h>
#include <string.h>

#ifdef LEDCONTROL_C
#define LEDCONTROL_EXTERN
#else
#define LEDCONTROL_EXTERN extern
#endif


void LEDSetup(void);
void LEDFadeUpDown (void);
void processLEDCommands(uint8_t *dataBuffer, uint16_t dataLength, uint8_t *debug);
void LEDUpdateOutputs(void);


//void LEDWriteGlobalCurrent (unsigned int current_level);



#endif /* LEDCONTROL_H_ */